unit About;

{************************************************************************
*                                                                       *
*                         Calculator About Box                          *
*                 Copyright (C) 1993-98, John Zaitseff                  *
*                                                                       *
************************************************************************}

{ Author:    John Zaitseff <J.Zaitseff@unsw.edu.au>
  Date:      30th January, 1998.
  Version:   1.4.1

  This file provides the user interface code to create a (very) simple
  About dialog box.  Most of the "code" is actually written by Delphi
  from ABOUT.DFM.

  This program, including this file, is under the terms of the GNU
  General Public License.
}


{$IFNDEF WIN32}
Error: 'Compile under Borland Delphi for Win32 only (v2 or later).'
{$ENDIF}

{$IFNDEF OPTDEBUG}
{$UNDEF DEBUG}
{$ENDIF}

{$IFDEF DEBUG}
    {$B-,D+,I+,J-,L+,O+,P-,Q+,R+,T+,U+,V+,X+,Y+,Z1}
    {$WARNINGS ON}
    {$HINTS ON}
{$ELSE}
    {$B-,D-,I+,J-,L-,O+,P-,Q-,R-,T+,U+,V+,X+,Y-,Z1}
    {$WARNINGS ON}
    {$HINTS ON}
{$ENDIF}


interface


uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls;

type
  TAboutWin = class(TForm)
                OKButton    : TButton;
                HelpButton  : TButton;
                Panel       : TPanel;
                ProgramIcon : TImage;
                ProductName : TLabel;
                VersionStr  : TLabel;
                VersionNum  : TLabel;
                Copyright   : TLabel;
                Comments1   : TLabel;
                Comments2   : TLabel;

                procedure HelpButtonClick (Sender : TObject);

              public
                constructor Create (AOwner : TComponent); override;

              end;

var
  AboutWin : TAboutWin;


implementation


uses
  VerRes;

{$R *.DFM}


{ Create the About dialog box and set the version string to the correct
  value.  This assumes that a VERSIONINFO resource was bound to the
  application }
constructor TAboutWin.Create (AOwner : TComponent);

var
  Ver : string;

begin
  inherited Create(AOwner);

  Ver := AppVerRes.FileVersion;
  if Ver <> '' then
    VersionNum.Caption := Ver
end;

{ Display the program's License.  The help context is found
  in the Object Inspector "HelpContext" property for AboutWin. }
procedure TAboutWin.HelpButtonClick (Sender : TObject);

begin
  Application.HelpContext(HelpContext)
end;

end.
